Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.l10n.jsp.taglib
Class ResolveTagExtraInfo

    java.lang.Object
      javax.servlet.jsp.tagext.TagExtraInfo
          com.bea.netuix.servlets.l10n.jsp.taglib.ResolveTagExtraInfo

    public class ResolveTagExtraInfo

extends javax.servlet.jsp.tagext.TagExtraInfo

TagExtraInfo for the `ResolveTag`

Constructor Summary
`ResolveTagExtraInfo()`

Method Summary
`javax.servlet.jsp.tagext.VariableInfo[]` | `getVariableInfo(javax.servlet.jsp.tagext.TagData data)` Creates a `VariableInfo` array populated using the 'id' attribute of a `TagData` input object.

Methods inherited from class javax.servlet.jsp.tagext.TagExtraInfo
`getTagInfo, isValid, setTagInfo, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResolveTagExtraInfo

    public ResolveTagExtraInfo()

Method Detail

### getVariableInfo

    public javax.servlet.jsp.tagext.VariableInfo[] getVariableInfo(javax.servlet.jsp.tagext.TagData data)

  Creates a `VariableInfo` array populated using the 'id' attribute of a `TagData` input object.

  Overrides:
    `getVariableInfo` in class `javax.servlet.jsp.tagext.TagExtraInfo`
  Parameters
    `data` - the `TagData` to get the id from
  Returns
    a `VariableInfo` array containing a single `VariableInfo` object populated with the id value from the data param

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.